/** @mainpage FreeEMS
 * @anchor doxygenMainPageTop
 *
 * @b Welcome @b to @b the @b FreeEMS @b project!
 *
 * FreeEMS is a free and open source Engine Management System. It includes both
 * software and hardware designs under free and open source licenses that you
 * can download. FreeEMS firmware is intended to be clean and modular with an
 * emphasis on readability and quality. All feedback is very much appreciated!
 *
 * A log of the work done between this release and the last one can be found on
 * the @ref changeLogs page.
 *
 * A summary of important information about this release can be found on the
 * @ref releaseNotes page.
 *
 * Specific aspects of the firmware are documented, one aspect per page in
 * the <a href="pages.html"><b>Related Pages</b></a> tab.
 *
 * @b Primary @b Authors:
 * - Fred Cooke - Founder, leader and main developer.
 * - Sean Keys - Flash burning code and documentation.
 *
 * @b Contributors:
 *
 * For a fairly comprehensive list of people who have assisted the cause in
 * various ways see the @ref contributors page.
 *
 * @since The first of January 2008
 *
 * @b See @b Also:
 * - <a href="http://www.diyefi.org">DIYEFI.org</a>
 * - <a href="http://www.diyefi.org/forum/index.php">DIYEFI.org forums</a>
 * - <a href="http://www.diyefi.org/forum/viewforum.php?f=19">DIYEFI.org FreeEMS forums</a>
 * - <a href="http://github.com/fredcooke/freeems-vanilla/tree/master">FreeEMS Vanilla Git source repository on GitHub.com</a>
 * - <a href="https://www.ohloh.net/p/freeems">FreeEMS code statistics by ohloh.net</a>
 * - <a href="http://freeems.aaronb.info/tracker/">MantisBT issue tracking for FreeEMS and related projects</a>
 * - <a href="http://freeems.aaronb.info/wiki/">DokuWiki Wiki for FreeEMS user documentation</a>
 * - <a href="https://sourceforge.net/projects/freeems/">FreeEMS SourceForge project index</a>
 * - <a href="https://sourceforge.net/project/showfiles.php?group_id=214452&package_id=258422">FreeEMS downloads on SourceForge.net</a>
 * - <a href="http://freeems.sourceforge.net/doxygen/">The online version of this documentation</a>
 *
 * Further documentation is available in OpenOffice.org ODS and ODT,
 * Adobe Acrobat PDF and FreeMind MM files in the docs directory of
 * the firmware source tree. This documentation includes, at the least,
 * the items in the following list.
 *
 * @b Included @b Documentation:
 * - WHY.txt
 * - FreeEMS.mm
 * - dwellTime.ods
 * - injectorDeadTime.ods
 * - EMS-Side-Serial-Implementation.odt
 * - FreeEMS-Data-Map-Structure.odg
 * - FreeEMS-Hardware-Standards.odt
 * - FreeEMS-Hardware-Standards.pdf
 * - FreeEMS-MemoryManagement.odt
 * - FreeEMS-MemoryManagement.pdf
 * - FreeEMS_Serial_Protocol_Core_Specification.odt
 * - FreeEMS_Serial_Protocol_Core_Specification.pdf
 * - FreeEMS-Tuning-Interface-Overview.odt
 * - XDP512-freeEMS-pin-assignment.ods
 * - MainTablePossibleSizes16x16up.ods
 * - Wheel-Algorithm-Analysis.ods
 *
 * @b Also @b Included: (but of no consequence)
 * - TestPacketIdeas.odt - rough draft
 * - release.procedure.txt - for my use
 * - serial.imp.issues.txt - for my use
 * - tasks.txt - outdated for my use
 * - tests.txt - outdated for my use
 * - CommsTestMatrix.ods - rough draft
 *
 * @b Licensing:
 * - This project is licensed under the GNU GPL v3. The full terms of the license are available <a href="http://www.gnu.org/licenses/gpl-3.0-standalone.html"><b>here</b></a>.
 */

/**	@file mainPage.h
 * @ingroup doxygenDocFiles
 * @brief Doxygen Main index page definition
 */
